Loading...
Searching...
No Matches
pt2_t< T >

## Detailed Description

template<class T>
struct rheolef::pt2_t< T >

Definition at line 85 of file point_util.h.

Inheritance diagram for pt2_t< T >:

## Public Types

typedef std::pair< point_basic< T >, point_basic< T > > | base

## Public Member Functions

| pt2_t ()
| pt2_t (const point_basic< T > &x, const point_basic< T > &y)
template<class Archive >
void | serialize (Archive &ar, const unsigned int version)

## Member Typedef Documentation

## base

template<class T >

typedef std::pair<point_basic<T>,point_basic<T> > base

Definition at line 86 of file point_util.h.

## Constructor & Destructor Documentation

## pt2_t() [1/2]

template<class T >

pt2_t | ( |  | ) |

Definition at line 87 of file point_util.h.

## pt2_t() [2/2]

template<class T >

pt2_t | ( | const point_basic< T > & | x,
|  | const point_basic< T > & | y
| ) |  |

Definition at line 88 of file point_util.h.

## Member Function Documentation

## serialize()

template<class T >
template<class Archive >

void serialize | ( | Archive & | ar,
|  | const unsigned int | version
| ) |  |

Definition at line 90 of file point_util.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/point_util.h